GET /tasks/{id}/attachments
1 min
GET
https://api.cmp.optimizely.com/v3/tasks/{id}/attachments
Path Parameters
- idstringrequiredExampleDescription
Query Parameters
- offsetintegerExampleDescriptionDefault0Minimum0
- page_sizeintegerExampleDescriptionDefault10Minimum1Maximum100
Responses
200
- object
- dataAttachmentResponse[]requiredDescription
- idstringrequiredExampleDescription
- namestringrequiredExampleDescription
- urlstringrequiredExampleDescription
- paginationobjectrequired
- Pagination
- nextstringrequiredExampleDescription
- previousstringrequiredDescription
- object
- nextstringExample
400
- ErrorExample
{ "message": "Unsupported arguments: a,b,c" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
401
- ErrorExample
{ "message": "Unauthorized" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
403
- ErrorExample
{ "message": "You do not have the permission to perform this operation" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
404
- ErrorExample
{ "message": "Resource not found" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
curl
curl --request GET \
--url 'https://api.cmp.optimizely.com/v3/tasks/{id}/attachments?offset=5&page_size=10' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/tasks/{id}/attachments?offset=5&page_size=10", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/tasks/{id}/attachments?offset=5&page_size=10")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/tasks/{id}/attachments?offset=5&page_size=10"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// List of fetched attachments
{
"data": [
{
"id": "5a7f910511b0a72230ce6631",
"name": "sample_image.png",
"url": "https://files.cmp.optimizely.com/download/2115bfe4450c11ebaae8000c291b51d4"
}
],
"pagination": {}
}400
// Client error
{
"message": "Not found",
"errors": ""
}401
// Authorization error
{
"message": "Not found",
"errors": ""
}403
// Permission error
{
"message": "Not found",
"errors": ""
}404
// Not found error
{
"message": "Not found",
"errors": ""
}